/*
Created by: Nicholas Tolrud
Year: 2011
*/

import java.awt.geom.Point2D;
public class PointTransformation
{
	Point2D.Float pointToTransform;
	float destinationX;
	float destinationY;
	float dX;
	float dY;

	public PointTransformation(Point2D.Float pointToTransform, float destinationX, float destinationY)
	{
		this.pointToTransform = pointToTransform;
		this.destinationX = destinationX;
		this.destinationY = destinationY;

		this.dX = (destinationX - pointToTransform.x) / Animator.ANIMATION_STEPS;
		this.dY = (destinationY - pointToTransform.y) / Animator.ANIMATION_STEPS;

	}
	public void doStep()
	{
		pointToTransform.x += dX;
		pointToTransform.y += dY;

	}
	public void finish()
	{
		pointToTransform.x = destinationX;
		pointToTransform.y = destinationY;
	}
}
