/*
Created by: Nicholas Tolrud
Year: 2011
*/

public class RedBlackTree_Node
	private int key
	RedBlackTree_Node p
	RedBlackTree_Node left
	RedBlackTree_Node right
	
	private static byte COLOR_BLACK = 0x00
	private static byte COLOR_RED = 0x01
	
	private byte color 
	
	public RedBlackTree_Node(int key)
		this.key = key
		this.p = null
		this.left = null
		this.right = null
		this.color = COLOR_RED
	
	public void setColorRed()
		this.color = COLOR_RED
	
	public void setColorBlack()
		this.color = COLOR_BLACK
	
	public int getKey()
		return this.key
	
	public boolean isRed()
		if color == COLOR_RED
			return true
		else
			return false