/*
Created by: Nicholas Tolrud
Year: 2011
*/

public abstract class StringProcessing
{
	public static String[] splitStringAndTrimSubStrings(String string, String splitRegex)
	{
		String[] subStrings = string.split(splitRegex);
		for (int i = 0; i < subStrings.length; i++)
		{
			subStrings[i] = subStrings[i].trim();
		}
		return subStrings;

	}
	public static int[] parseIntArrayFromString(String string, String splitRegex) throws NumberFormatException
	{
		String[] subStrings = splitStringAndTrimSubStrings(string, splitRegex);
		int[] intArray = new int[subStrings.length];
		for (int i = 0; i < subStrings.length; i++)
		{
			intArray[i] = Integer.valueOf(subStrings[i]);

		}
		return intArray;
	}
}
